Package org.mariadb.jdbc.message.client

## Class ExecutePacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.ExecutePacket

All Implemented Interfaces:
  `ClientMessage`, `RedoableClientMessage`, `RedoableWithPrepareClientMessage`

    public final class ExecutePacket
    extends Object
    implements RedoableWithPrepareClientMessage

See https://mariadb.com/kb/en/com_stmt_execute/ for documentation

### Constructor Summary

Constructors
`ExecutePacket​(PrepareResultPacket prepareResult, org.mariadb.jdbc.util.ParameterList parameters, String command, ServerPreparedStatement prep)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `batchUpdateLength()`
`boolean` `binaryProtocol()`
`boolean` `canSkipMeta()`
`String` `description()`
`int` `encode​(PacketWriter writer, Context context, PrepareResultPacket newPrepareResult)`
`void` `ensureReplayable​(Context context)`
`String` `getCommand()`
`ServerPreparedStatement` `prep()`
`void` `saveParameters()`
`void` `setPrepareResult​(PrepareResultPacket prepareResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableWithPrepareClientMessage

`encode, reEncode, rePrepare`

### Constructor Detail

#### ExecutePacket

    public ExecutePacket​(PrepareResultPacket prepareResult,
                         org.mariadb.jdbc.util.ParameterList parameters,
                         String command,
                         ServerPreparedStatement prep)

### Method Detail

#### saveParameters

    public void saveParameters()

Specified by:
  `saveParameters` in interface `RedoableClientMessage`

#### ensureReplayable

    public void ensureReplayable​(Context context)
                          throws IOException,
                                 SQLException

Specified by:
  `ensureReplayable` in interface `RedoableClientMessage`
Throws:
  `IOException`
  `SQLException`

#### encode

    public int encode​(PacketWriter writer,
                      Context context,
                      PrepareResultPacket newPrepareResult)
               throws IOException,
                      SQLException

Specified by:
  `encode` in interface `RedoableClientMessage`
Specified by:
  `encode` in interface `RedoableWithPrepareClientMessage`
Throws:
  `IOException`
  `SQLException`

#### canSkipMeta

    public boolean canSkipMeta()

Specified by:
  `canSkipMeta` in interface `ClientMessage`

#### batchUpdateLength

    public int batchUpdateLength()

Specified by:
  `batchUpdateLength` in interface `ClientMessage`

#### getCommand

    public String getCommand()

Specified by:
  `getCommand` in interface `RedoableWithPrepareClientMessage`

#### prep

    public ServerPreparedStatement prep()

Specified by:
  `prep` in interface `RedoableWithPrepareClientMessage`

#### binaryProtocol

    public boolean binaryProtocol()

Specified by:
  `binaryProtocol` in interface `ClientMessage`

#### description

    public String description()

Specified by:
  `description` in interface `ClientMessage`

#### setPrepareResult

    public void setPrepareResult​(PrepareResultPacket prepareResult)

Specified by:
  `setPrepareResult` in interface `RedoableWithPrepareClientMessage`